Update project video quality
PATCH
/organization/{orgId}/projects/{projectId}/video-qualityUpdate the default video quality setting for a project
Authorization
Bearer Authorization<token>
In: header
Path Parameters
orgId*string
Organization ID
projectId*string
Project ID
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/types.UpdateVideoQualityRequest",
"$ref-value": {
"properties": {
"video_quality": {
"allOf": [
{
"$ref": "#/components/schemas/sqlc.VideoQuality",
"$ref-value": {
"enum": [
"basic",
"shorts",
"pro"
],
"type": "string",
"x-enum-varnames": [
"VideoQualityBasic",
"VideoQualityShorts",
"VideoQualityPro"
]
}
}
],
"enum": [
"basic",
"shorts",
"pro"
],
"examples": [
"shorts"
]
}
},
"required": [
"video_quality"
],
"type": "object"
}
}Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/projectsv1.Project",
"$ref-value": {
"properties": {
"created_at": {
"type": "string"
},
"custom_domain": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"org_id": {
"type": "string"
},
"regions": {
"items": {
"type": "string"
},
"type": "array"
},
"updated_at": {
"type": "string"
},
"video_quality": {
"type": "string"
}
},
"type": "object"
}
}curl -X PATCH "https://api.rixl.com/organization/string/projects/string/video-quality" \
-H "Content-Type: application/json" \
-d '{
"video_quality": "shorts"
}'OK
application/json
{
"$ref": "#/components/schemas/projectsv1.Project",
"$ref-value": {
"properties": {
"created_at": {
"type": "string"
},
"custom_domain": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"org_id": {
"type": "string"
},
"regions": {
"items": {
"type": "string"
},
"type": "array"
},
"updated_at": {
"type": "string"
},
"video_quality": {
"type": "string"
}
},
"type": "object"
}
}